# python in a js project? lunacy

import json, requests

emojiListSrc = requests.get("https://github.com/muan/unicode-emoji-json/raw/refs/heads/main/data-by-emoji.json")
emojiList = json.loads(emojiListSrc.content)
newEmojiList = {}

for emoji in emojiList:
    newEmojiList[emojiList[emoji]["slug"]] = emoji

output = open("../static/emoji.json", "w+")
output.write(json.dumps(newEmojiList, indent=4, ensure_ascii=False))
